1. WebService API
WebService
  • WebService API
    • SOAP 1.1 - NumberToWords
      POST
    • SOAP 1.1 - Calculator (SOAPAction)
      POST
    • SOAP/WSDL Example
      POST
    • SOAP 1.2 / WSDL - NumberToDollars
      POST
  • Schemas
    • Public Model
      • Enums
      • Public Response
    • Enum
      • UserStatus
    • User
  1. WebService API

SOAP 1.1 - Calculator (SOAPAction)

Developing
Develop Env
https://dev.your-api-server.com
Develop Env
https://dev.your-api-server.com
POST
http://www.dneonline.com/calculator.asmx
SOAP 1.1 example showing the SOAPAction header used by some SOAP services.
Content-Type: text/xml; charset=utf-8
SOAPAction: http://tempuri.org/Add
Request and response bodies are XML.
Public demo service
This third-party sample endpoint uses HTTP. Use HTTPS for production services.

Request

Header Params

Body Params application/xml

Example
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <Add xmlns="http://tempuri.org/">
      <intA>5</intA>
      <intB>7</intB>
    </Add>
  </soap:Body>
</soap:Envelope>

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://www.dneonline.com/calculator.asmx' \
--header 'SOAPAction: http://tempuri.org/Add' \
--header 'Content-Type: text/xml; charset=utf-8' \
--data '<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <Add xmlns="http://tempuri.org/">
      <intA>5</intA>
      <intB>7</intB>
    </Add>
  </soap:Body>
</soap:Envelope>'

Responses

🟢200Success
application/xml
Bodyapplication/xml

Example
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope>
  <soap:Body>
    <AddResponse>
      <AddResult>0</AddResult>
    </AddResponse>
  </soap:Body>
</soap:Envelope>
Modified at 2026-09-08 02:23:34
Previous
SOAP 1.1 - NumberToWords
Next
SOAP/WSDL Example
Built with